<template>
  <div class="post-create">
    <div class="content">
      <h1>Create a New Post</h1>
      <PostForm :post="post" @submit="onPostSubmitted" />
    </div>
  </div>
</template>
<script>
export default {
  layout: 'blog',
  data() {
    return {
      post: {
        title: '',
        previewText: 'This is a preview text.',
        thumbnail: 'https://via.placeholder.com/350x200.png?text=Post%20Image',
        content:
          'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.',
        slug: '',
        author: 'Abhay Talreja',
      },
    }
  },
  methods: {
    onPostSubmitted(submittedPost) {
      this.$store.dispatch('posts/addPost', submittedPost).then(() => {
        this.$router.push('/')
      })
    },
  },
}
</script>
<style>
.post-create {
  max-width: 800px;
  position: relative;
  background-color: #ddd;
  margin: 0 auto;
  margin-top: 4.25rem;
}
.content {
  width: 100%;
  margin: 10px 0;
  padding: 20px;
}
</style>
